Bug 156088

Summary: Compile DumpRenderTree with CMake on Mac
Product: WebKit Reporter: Alex Christensen <achristensen>
Component: New BugsAssignee: Alex Christensen <achristensen>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, cdumez, commit-queue, gyuyoung.kim, jeremyhu, ossy
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Alex Christensen 2016-03-31 16:09:01 PDT
Compile DumpRenderTree with CMake on Mac
Comment 1 Alex Christensen 2016-03-31 16:23:23 PDT
Created attachment 275352 [details]
Patch
Comment 2 Brent Fulgham 2016-03-31 19:42:56 PDT
Comment on attachment 275352 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=275352&action=review

> Source/WebKit2/PlatformMac.cmake:446
> +set(WebKit2_NetworkProcess_OUTPUT_NAME com.apple.WebKit.Networking.Development.xpc)

Maybe you can key this off of the "OFFICIAL_BUILD" compile flag we use for, well, "official builds"?

> Source/WebKit2/PlatformMac.cmake:714
> +file(WRITE ${DERIVED_SOURCES_DIR}/ForwardingHeaders/WebKit/WebDatabaseManagerPrivate.h "#import <WebKit/mac/Storage/WebDatabaseManagerPrivate.h>")

Is this needed because of a bad include path in our sources?
Comment 3 Alex Christensen 2016-04-01 08:55:35 PDT
Comment on attachment 275352 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=275352&action=review

>> Source/WebKit2/PlatformMac.cmake:714
>> +file(WRITE ${DERIVED_SOURCES_DIR}/ForwardingHeaders/WebKit/WebDatabaseManagerPrivate.h "#import <WebKit/mac/Storage/WebDatabaseManagerPrivate.h>")
> 
> Is this needed because of a bad include path in our sources?

Maybe
Comment 4 WebKit Commit Bot 2016-04-01 09:45:55 PDT
Comment on attachment 275352 [details]
Patch

Clearing flags on attachment: 275352

Committed r198947: <http://trac.webkit.org/changeset/198947>
Comment 5 WebKit Commit Bot 2016-04-01 09:45:59 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Csaba Osztrogon√°c 2016-04-04 02:33:36 PDT
(In reply to comment #4)
> Comment on attachment 275352 [details]
> Patch
> 
> Clearing flags on attachment: 275352
> 
> Committed r198947: <http://trac.webkit.org/changeset/198947>

It broke the Apple Mac cmake build. :)
Comment 7 Csaba Osztrogon√°c 2016-04-04 02:34:30 PDT
(In reply to comment #4)
> Comment on attachment 275352 [details]
> Patch
> 
> Clearing flags on attachment: 275352
> 
> Committed r198947: <http://trac.webkit.org/changeset/198947>

and http://trac.webkit.org/changeset/198948
Comment 8 Jeremy Huddleston Sequoia 2016-04-17 13:20:26 PDT
This caused build failures of webkit-gtk on mac.